import { __require as n } from "./yaml.mjs";
var r, t;
function s() {
  if (t)
    return r;
  t = 1;
  var i = n();
  r = a, a.displayName = "tap", a.aliases = [];
  function a(e) {
    e.register(i), e.languages.tap = {
      fail: /not ok[^#{\n\r]*/,
      pass: /ok[^#{\n\r]*/,
      pragma: /pragma [+-][a-z]+/,
      bailout: /bail out!.*/i,
      version: /TAP version \d+/i,
      plan: /\b\d+\.\.\d+(?: +#.*)?/,
      subtest: {
        pattern: /# Subtest(?:: .*)?/,
        greedy: !0
      },
      punctuation: /[{}]/,
      directive: /#.*/,
      yamlish: {
        pattern: /(^[ \t]*)---[\s\S]*?[\r\n][ \t]*\.\.\.$/m,
        lookbehind: !0,
        inside: e.languages.yaml,
        alias: "language-yaml"
      }
    };
  }
  return r;
}
export {
  s as __require
};
